package com.tzld.piaoquan.recommend.server.service.rank;

import com.tzld.piaoquan.recommend.server.service.rank.strategy.RankStrategy4Density;
import com.tzld.piaoquan.recommend.server.service.rank.strategy.RankStrategy4RankModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class RankRouter {
    private RankService rankService;
    public RankResult rank(RankParam param) {
        String abCode = param.getAbCode();
        switch (abCode){
            case "70010":
                rankService = new RankStrategy4RankModel();
                break;
            case "60098":
                rankService = new RankStrategy4Density();
                break;
            default:
                rankService = new RankService();
                break;
        }
        return rankService.rank(param);
    }
}
